Which Sdl Lib Should I Use?


winfred01

Still Fresh
Joined
Aug 30, 2006
Messages
15
Hi everyone,

I am confused about the different versions of pre-compiled SDL lib out there.

I have been using Paeryn's SDL 1.2.9 compiled for gp2x hardware, and find out that there's SDL_ttf isn't included.

Then I have downloaded a newer version of Paeryn's library which requires a "full SDL development libraries". I am unsure about what version should the full SDL development library be, and I have tried a few from http://www.libsdl.org/ without any luck.

And found that someone kindly updated the development env setup wiki page, which now is referring to "Guyfawkes precompiled libs" as a recommendation, however the link is dead and I haven't managed to google it yet.


So I would like to ask if:

1. what version of SDL are you using at the moment?

2. where can I find a pre-complied version for using with window.

3.Is is better to compile the lib myself from source (e.g. open2x), and if so, can I compile it in window using gcc and mingw32?

Sorry if it sounds silly, this is the only thing that's be dragging me behind,
Im working on a Unicode textreader at the moment

Thanks in advance, :(
 

Guyfawkes

Certified Idiot :)
Joined
Jan 11, 2004
Messages
795
Age
46
Location
London, UK
Website
www.emuholic.com

paeryn

Reclusive maniac
Joined
Nov 28, 2005
Messages
432
Age
49
Location
Sheffield, England
Website
paeryn.myby.co.uk
My SDL library is just the core library, if you need SDL_ttf or SDL_image or whatever you need to get them separately.
I think what you were quoting was probably about the pre-compiled libs which are only meant for people who already have SDL installed and don't want to re-compile my library every time I update it.

As for using my lib in a windows toolchain, as long as it uses gcc 4 (and maybe 3 but not 2.95) it should work okay, you have to link statically link though.

Personally my current set-up is the open2x toolchain, it installs the main set of SDL_ libraries as do all the gp2x toolchains (I think.)
 

winfred01

Still Fresh
Joined
Aug 30, 2006
Messages
15
Thanks Guyfawkes and paeryn for your help,

paeryn:
yeah I have the pre-compiled SDL from somewhere else and try to use your pre-compiled ttf with it, and they're not compatible.
after a few attempts, I just gave up.

I am using GCC4 and mingw32 at the moment with the precompiled SDL lib bundle from Guyfawkes and it works fine so far. I'll ask again if I have any news or problems :)
 
Top